%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-networkx
Version:        0.99
Release:        1%{?dist}
Summary:        Creates and Manipulates Graphs and Networks
Group:          Development/Languages
License:        LGPLv2
URL:            https://networkx.lanl.gov/trac
Source0:        http://networkx.lanl.gov/download/networkx/networkx-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
Requires:       ipython
Requires:       numpy
Requires:       pydot
Requires:       python-matplotlib
Requires:       PyYAML
Requires:       scipy


%description
NetworkX is a Python package for the creation, manipulation, and
study of the structure, dynamics, and functions of complex networks.


%prep
%setup -q -n networkx-%{version}
chmod -x examples/*/*.py
chmod -x examples/*/*.bz2
sed -i '1,1d' networkx/tests/test.py


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_docdir}/{networkx-%{version},%{name}-%{version}}

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_docdir}/%{name}-%{version}


%changelog
* Sat Dec 13 2008 Conrad Meyer <konrad@tylerc.org> - 0.99-1
- Initial package.
